import { ElementRef, OnChanges } from '@angular/core';
import { EventsService } from '../services/events.service';
import { ImageStyle } from '../styles/style.model';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ImageContainerDirective implements OnChanges {
    private el;
    private eventService;
    simpoImageContainerDirective?: ImageStyle;
    constructor(el: ElementRef, eventService: EventsService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    imageStyleSubscription?: Subscription;
    imageStyleChangeCheck(): void;
    changeImageStyle(id: string, style: ImageStyle): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageContainerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ImageContainerDirective, "[simpoImageContainerDirective]", never, { "simpoImageContainerDirective": { "alias": "simpoImageContainerDirective"; "required": false; }; }, {}, never, never, true, never>;
}
